# class KlineakDef | More...
Definition | `#include <klineakconfig/klineakdef.h>`
Inherits | KlineakDefUI (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KlineakDef (QWidget *parent=0, const char *name=0)
- ~KlineakDef ()
- bool x11Event ( XEvent* event)
- QString hashKbIdent ()

#### Public Slots

- virtual void onApplyButtonClicked ()
- virtual void onQuitButtonClicked ()
- virtual void onClearKeyButtonClicked ()
- virtual void onClearAllButtonClicked ()
- virtual void onSubmitButtonClicked ()
- virtual void onPictureButtonClicked ()
- virtual void updateModel (const QString &model)
- virtual void updateKeyname (const QString &keyname)
- virtual void updateBrand (const QString &brand)
- virtual void updateKeyinfo (const QString &key)
- virtual QString saveDefFile ()
- void parseUserDef ()

#### Signals

- void applying (QString)
- void quitting ()
- void setPicture (KURL)
- void keyboardName (QString)

#### Private Methods

- bool isEAK (XKeyEvent *e)

#### Private Members

- int lastKeyCode
- QString currentKeyName
- EAKeyboard myKeyboard
- KURL picture
- map keys2codes

## Detailed Description

KlineakDef (QWidget *parent=0, const char *name=0) | ### KlineakDef

~KlineakDef () | ### ~KlineakDef

bool x11Event ( XEvent* event) | ### x11Event

QString hashKbIdent () | ### hashKbIdent

int lastKeyCode | ### lastKeyCode

[private]

QString currentKeyName | ### currentKeyName

[private]

EAKeyboard myKeyboard | ### myKeyboard

[private]

KURL picture | ### picture

[private]

bool isEAK (XKeyEvent *e) | ### isEAK

[private]

map<QString,int> keys2codes | ### keys2codes

[private]

void onApplyButtonClicked () | ### onApplyButtonClicked

[virtual slot]

void onQuitButtonClicked () | ### onQuitButtonClicked

[virtual slot]

void onClearKeyButtonClicked () | ### onClearKeyButtonClicked

[virtual slot]

void onClearAllButtonClicked () | ### onClearAllButtonClicked

[virtual slot]

void onSubmitButtonClicked () | ### onSubmitButtonClicked

[virtual slot]

void onPictureButtonClicked () | ### onPictureButtonClicked

[virtual slot]

void updateModel (const QString &model) | ### updateModel

[virtual slot]

void updateKeyname (const QString &keyname) | ### updateKeyname

[virtual slot]

void updateBrand (const QString &brand) | ### updateBrand

[virtual slot]

void updateKeyinfo (const QString &key) | ### updateKeyinfo

[virtual slot]

QString saveDefFile () | ### saveDefFile

[virtual slot]

void applying (QString) | ### applying

[signal]

void quitting () | ### quitting

[signal]

void setPicture (KURL) | ### setPicture

[signal]

void keyboardName (QString) | ### keyboardName

[signal]

Emitted to relay the hashed name of the keyboard so that lineakconfig can set it as the default

void parseUserDef () | ### parseUserDef

[slot]

- Author: Sheldon Lee Wen
- Generated: sheldonl on shugaru on Thu Oct 3 22:56:49 2002, using kdoc 2.0a53.